MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025514Open CASCADE[OCCT] OCCT:Foundation Classespublic2014-11-24 22:252015-05-14 15:32
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025514: TKernel, OSD_Timer - do not accumulate error in timer within queries in running state
DescriptionCurrent implementation of methods OSD_Timer::ElapsedTime(), OSD_Timer::Show() and OSD_Chronometer::Show() calls ::Stop()/::Start() to accumulate values which involves accuracy loss when called many time in short intervals.
TagsNo tags attached.
Test case numberbugs fclasses(002) bug25514
Attached Files

- Relationships
related to 0025382closedkgv Visualization, TKOpenGl - improved video recording capability 

-  Notes
(0034658)
git (administrator)
2014-11-24 22:37

Branch CR25514 has been created by kgv.

SHA-1: eea4f6ac697ddecc778fb83e1409c728a3f69e03


Detailed log of new commits:

Author: kgv
Date: Mon Nov 24 22:35:33 2014 +0300

    0025514: TKernel, OSD_Timer - do not accumulate error in timer within queries in running state
(0034659)
kgv (developer)
2014-11-24 22:37

Patch is ready for review in branch CR25514.
(0034677)
abv (manager)
2014-11-25 16:39

No remarks, please test
(0034756)
git (administrator)
2014-11-27 17:19

Branch CR25514 has been updated by apv.

SHA-1: 46ca30849a4cc3291439ac0d1294c4d4274d93d1


Detailed log of new commits:

Author: apv
Date: Thu Nov 27 17:18:54 2014 +0300

    Test-case for issue 0025514

(0034757)
apv (tester)
2014-11-27 17:21

Dear kgv, please review test-case.
(0034760)
kgv (developer)
2014-11-27 17:36

In general test case looks fine - it shows 0.3 second difference on my system without the patch.

+# Comparison of timer's values
+if {$TimerValue_1 != $TimerValue_2} {
+  puts "ERROR: OCC25514 is reproduced."
+}

please print the time difference in seconds and compare it with some tolerance - there is no guarantee that them should be equal, just very near to each other.

Execution with CPU loaded in background by other processes might lead to broken test results, but probably should be sufficient to some degree.
(0034762)
git (administrator)
2014-11-27 18:13

Branch CR25514 has been updated by apv.

SHA-1: 27f73768d3b454c3814794e50e05abb31f8c6546


Detailed log of new commits:

Author: apv
Date: Thu Nov 27 18:12:51 2014 +0300

    Update of test-case

(0034770)
apv (tester)
2014-11-27 19:11

Dear BugMaster,

Branch CR25415 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: eea4f6ac697ddecc778fb83e1409c728a3f69e03

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 0 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs fclasses(002) bug25514 - OK
http://occt-tests/CR25514-master-occt/Debian60-64/bugs/fclasses/bug25514.html [^]
http://occt-tests/CR25514-master-occt/Windows-32-VC10/bugs/fclasses/bug25514.html [^]

Testing on Linux:
Total MEMORY difference: 359648444 / 359261588
Total CPU difference: 47307.930000000095 / 47823.01999999983

Testing on Windows:
Total MEMORY difference: 274072160 / 273727588
Total CPU difference: 45232.78125 / 40219.09375
(0036614)
git (administrator)
2015-01-26 12:37

Branch CR25514 has been deleted by inv.

SHA-1: 27f73768d3b454c3814794e50e05abb31f8c6546

- Related Changesets
occt: master 7e7bbb3a
Timestamp: 2014-11-28 10:22:41
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025514: TKernel, OSD_Timer - do not accumulate error in timer within queries in running state

Test-case for issue 0025514

Update of test-case
mod - src/OSD/OSD_Chronometer.cdl Diff ] File ]
mod - src/OSD/OSD_Chronometer.cxx Diff ] File ]
mod - src/OSD/OSD_Timer.cdl Diff ] File ]
mod - src/OSD/OSD_Timer.cxx Diff ] File ]
add - tests/bugs/fclasses/bug25514 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-11-24 22:25 kgv New Issue
2014-11-24 22:25 kgv Assigned To => abv
2014-11-24 22:36 kgv Summary TKernel, OSD_Timer - timer accumulates error when quered in short intervals => TKernel, OSD_Timer - do not accumulate error in timer within queries in running state
2014-11-24 22:37 git Note Added: 0034658
2014-11-24 22:37 kgv Note Added: 0034659
2014-11-24 22:37 kgv Status new => resolved
2014-11-24 22:37 kgv Relationship added related to 0025382
2014-11-25 16:39 abv Note Added: 0034677
2014-11-25 16:39 abv Assigned To abv => bugmaster
2014-11-25 16:39 abv Status resolved => reviewed
2014-11-25 17:14 mkv Assigned To bugmaster => apv
2014-11-27 17:19 git Note Added: 0034756
2014-11-27 17:21 apv Note Added: 0034757
2014-11-27 17:21 apv Assigned To apv => kgv
2014-11-27 17:21 apv Status reviewed => feedback
2014-11-27 17:21 apv Test case number => bugs fclasses(002) bug25514
2014-11-27 17:36 kgv Note Added: 0034760
2014-11-27 17:36 kgv Assigned To kgv => apv
2014-11-27 18:13 git Note Added: 0034762
2014-11-27 19:11 apv Note Added: 0034770
2014-11-27 19:11 apv Assigned To apv => bugmaster
2014-11-27 19:11 apv Status feedback => tested
2014-12-01 12:26 bugmaster Changeset attached => occt master 7e7bbb3a
2014-12-01 12:26 bugmaster Status tested => verified
2014-12-01 12:26 bugmaster Resolution open => fixed
2015-01-19 16:23 bugmaster Target Version 7.1.0 => 6.9.0
2015-01-26 12:37 git Note Added: 0036614
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker